﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="PlayVideo.aspx.cs" Inherits="PlayVideo" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"  xml:lang="en-GB">
<head runat="server">
    <title>Play Video</title>
    <!--[if lt IE 7]>
	<style media="screen" type="text/css">
	#outlinebox {
		height:100%;
	}
	</style>
	<![endif]--> 
<script type="text/javascript">
    function PlayVideo(videoCode, width, height) {
        //if a video is playing, close it first
        var VideoDiv = document.getElementById('video-div');
        if (VideoDiv != null) {
            RemoveDiv();
        }
        //play a new video
        CreateVideoDiv('video-div', 'video-div', videoCode, width, height);
        CreateCloseDiv("close-div", "close-div", "<a href=# onclick=RemoveDiv();><img src=\"images/close.jpg\" width=\"16\" height=\"16\" border=\"0\"/></a>", width, height, 16, 16);

    }
   function CreateVideoDiv(id, className, contentToDisplay, width, height) {
       //create a div and center it inside the browser window
        var NewDiv = CreateDiv(id, className, contentToDisplay, width, height);        
        NewDiv.style.marginLeft = -(parseInt(width) / 2) + "px";            
        NewDiv.style.marginTop = -(parseInt(height) / 2) + "px";
    }

    function CreateCloseDiv(id, className, contentToDisplay, videoWidth, videoHeight, closeImageWidth, closeImageHeight) {
        //place the "close" image at the top right corner of the video div
        var NewDiv = CreateDiv(id, className, contentToDisplay, closeImageWidth, closeImageHeight);
        NewDiv.style.marginLeft = (parseFloat(videoWidth) / 2) - parseFloat(closeImageWidth)*1.5 + "px";
        NewDiv.style.marginTop = -(parseFloat(videoHeight) / 2) + parseFloat(closeImageHeight)/2 + "px";
    }

    function CreateDiv(id, className, contentToDisplay, width, height) {
        var NewDiv = document.createElement("div");
        NewDiv.id = id;
        NewDiv.className = className;
        NewDiv.innerHTML = contentToDisplay;
        NewDiv.style.position = "absolute";
        NewDiv.style.width = width + "px";
        NewDiv.style.height = height + "px";
        NewDiv.style.top = "50%";
        NewDiv.style.left = "50%";
        NewDiv.style.display = "block";
        document.body.appendChild(NewDiv);

        return NewDiv;
    }

    function RemoveDiv() {
        var mydiv = document.getElementById("video-div");
        document.body.removeChild(mydiv);
        var mydiv = document.getElementById("close-div");
        document.body.removeChild(mydiv);
    }

</script>
    
    <link href="cssVideo.css" rel="stylesheet" type="text/css" />
    
</head>
<body>
    <form id="form1" runat="server">
    <div id="outlinebox">     
        <div id="header">Play Embedded Youtube Videos Randomly</div>
        <div id="content">
            <p>
            <asp:DataList ID="dlVideoLinks" runat="server" RepeatDirection="Horizontal" RepeatLayout="Flow">
            <ItemTemplate>
                <a href="#" onclick="PlayVideo('<%# BuildVideoCode((string)Eval("EmbeddedCode")) %>', <%# Eval("Width") %>, <%#Eval("Height") %>);"><%#DisplayImage((string)Eval("ImagePath"), (string)Eval("Title")) %></a>
            </ItemTemplate>
            </asp:DataList>
            </p>
            <p><asp:Label ID="lblRefresh" runat="server" Width="100%"></asp:Label></p>
            <hr />
            
        </div>
        <div id="footer">site footer</div>
        

    </div>
    </form>
</body>
</html>
